org.labkey.remoteapi.di

## Class UpdateTransformConfigurationResponse

- java.lang.Object
- - org.labkey.remoteapi.CommandResponse
  - - org.labkey.remoteapi.di.BaseTransformResponse
    - - org.labkey.remoteapi.di.UpdateTransformConfigurationResponse

-     public class UpdateTransformConfigurationResponse
      extends BaseTransformResponse

  User: tgaluhn Date: 10/29/13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateTransformConfigurationResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, Command sourceCommand)` Constructs a new CommandResponse, initialized with the provided response text and status code.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescriptionId()`
    `boolean` | `getEnabled()`
    `java.util.Date` | `getLastChecked()`
    `org.json.simple.JSONObject` | `getResult()`
    `org.json.simple.JSONObject` | `getState()`
    `boolean` | `getVerboseLogging()`

    - ### Methods inherited from class org.labkey.remoteapi.di.BaseTransformResponse

      `getSuccess`

    - ### Methods inherited from class org.labkey.remoteapi.CommandResponse

      `findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateTransformConfigurationResponse

          public UpdateTransformConfigurationResponse(java.lang.String text,
                                                      int statusCode,
                                                      java.lang.String contentType,
                                                      org.json.simple.JSONObject json,
                                                      Command sourceCommand)

      Constructs a new CommandResponse, initialized with the provided response text and status code.
      Parameters:
        `text` - The response text
        `statusCode` - The HTTP status code
        `contentType` - The response content type
        `json` - The parsed JSONObject (or null if JSON was not returned).
        `sourceCommand` - A copy of the command that created this response

  - ### Method Detail

    - #### getResult

          public org.json.simple.JSONObject getResult()

    - #### getEnabled

          public boolean getEnabled()

      Returns:
        true if transform is set to run on a schedule

    - #### getVerboseLogging

          public boolean getVerboseLogging()

      Returns:
        true if transform is set for verbose logging

    - #### getState

          public org.json.simple.JSONObject getState()

      Returns:
        JSON map of the state saved after the last transform run. Includes row count info, filter values (runId or modifiedSince) for next run, and persisted parameter values for stored procedure transforms.

    - #### getLastChecked

          public java.util.Date getLastChecked()

      Returns:
        The datetime the transform last checked for work

    - #### getDescriptionId

          public java.lang.String getDescriptionId()

      Returns:
        The transform name